/*****************************************************************************
 *
 *   Copyright(C) 2011, Embedded Artists AB
 *   All rights reserved.
 *
 ******************************************************************************
 * Software that is described herein is for illustrative purposes only
 * which provides customers with programming information regarding the
 * products. This software is supplied "AS IS" without any warranties.
 * Embedded Artists AB assumes no responsibility or liability for the
 * use of the software, conveys no license or title under any patent,
 * copyright, or mask work right to the product. Embedded Artists AB
 * reserves the right to make changes in the software without
 * notification. Embedded Artists AB also make no representation or
 * warranty that such application will be suitable for the specified
 * use without further testing or modification.
 *****************************************************************************/

#include "mcu_regs.h"
#include "type.h"
#include "stdio.h"
#include "timer32.h"
#include "gpio.h"
#include "i2c.h"

#include "rgb.h"
#include "btn.h"
#include "light.h"
#include "lm75a.h"
#include "board.h"

#include "rom_drivers.h"
#include "can.h"
#include "canpt.h"


int main (void)
{

  GPIOInit();
  init_timer32(0, 10);
  I2CInit( (uint32_t)I2CMASTER, 0 );

  led_init();
  rgb_init();
  btn_init();
  light_init();
  light_enable();
  light_setRange(LIGHT_RANGE_4000);
  lm75a_init();


  canpt_init();



  while(1){
    canpt_task();
  }

}

